Gets the zoning details and the local zoning ordinance URL
GET
https://api.zoneomics.com/v2/zoneCodeLink

zoneCodeLink returns zoning details and the local zoning ordinance URL for a specified location.

Request Data
Request Parameters
api_key
string
required

A token that is required to make API calls.

address
string

A valid address of the zone, for example, 1216 Edmondson Ave, Baltimore, MD 21223, USA.

lat
number

Latitude value of the location. For example, lat=39.295468952504876.

lng
number

Longitude value of the location. For example, lng= -76.63822174072267.

Note: You must specify the location in the API request by providing either the address or the lat/lng coordinates.

Response Data
status
boolean

Indicates whether the request was successful or not

data
object

This JSON object contains the data items from the API's response as key and value pairs. Descriptions of these data items are provided below:

Attribute NameDescriptionData typeSample Value
zone_codeThe official code used by a jurisdiction to identify a specific zoning district.StringPD-206
zone_nameThe complete name for a zoning district as provided by the municipality.StringPlanned Development And High Intensity Mixed Use
local_ordinance_linkThe official link to the municipality’s local zoning ordinance source.Stringhttps://codelibrary.amlegal.com/codes/ftworth/latest/ftworth_tx/0-0-0-1
Use cases

Find all the usecases for the api below

Get zone code URL by specifying an address
This use case provides an example of how you can get the zone code URL by providing the location in address parameter.
https://api.zoneomics.com/v2/zoneCodeLink?api_key=<Your API Key>&address=3104 N Harding St, Fort Worth, TX, USA
Get zone code URL by specifying lat, lng
This use case provides an example of how you can get the zone code URL by providing the location in lat, lng parameters.
https://api.zoneomics.com/v2/zoneCodeLink?api_key=<Your API Key>&lat=32.7999980770215&lng=-97.3418008640106

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.